summaryrefslogtreecommitdiff
path: root/git-stash.sh
diff options
context:
space:
mode:
authorJunio C Hamano <gitster@pobox.com>2011-05-04 14:58:42 -0700
committerJunio C Hamano <gitster@pobox.com>2011-05-04 14:58:42 -0700
commitbe44a20aa88b196b769dd894c0ac7a9ff5a7a1f6 (patch)
treef624a14245eb53774ec0443b5dbf0f7fd0fd1149 /git-stash.sh
parent476e42422d3a62a6aa301e41ba3def6882d37e9e (diff)
parent9355fc9c35a5c40bbd8e380ec9e36013a1b230ed (diff)
downloadgit-be44a20aa88b196b769dd894c0ac7a9ff5a7a1f6.tar.gz
Merge branch 'jk/maint-stash-oob' into maint
* jk/maint-stash-oob: stash: fix false positive in the invalid ref test. stash: fix accidental apply of non-existent stashes Conflicts: t/t3903-stash.sh
Diffstat (limited to 'git-stash.sh')
-rwxr-xr-xgit-stash.sh12
1 files changed, 1 insertions, 11 deletions
diff --git a/git-stash.sh b/git-stash.sh
index 81a59a250e..0a9403653d 100755
--- a/git-stash.sh
+++ b/git-stash.sh
@@ -265,7 +265,7 @@ parse_flags_and_rev()
b_tree=
i_tree=
- REV=$(git rev-parse --no-flags --symbolic "$@" 2>/dev/null)
+ REV=$(git rev-parse --no-flags --symbolic "$@") || exit 1
FLAGS=
for opt
@@ -311,16 +311,6 @@ parse_flags_and_rev()
IS_STASH_LIKE=t &&
test "$ref_stash" = "$(git rev-parse --symbolic-full-name "${REV%@*}")" &&
IS_STASH_REF=t
-
- if test "${REV}" != "${REV%{*\}}"
- then
- # maintainers: it would be better if git rev-parse indicated
- # this condition with a non-zero status code but as of 1.7.2.1 it
- # it did not. So, we use non-empty stderr output as a proxy for the
- # condition of interest.
- test -z "$(git rev-parse "$REV" 2>&1 >/dev/null)" || die "$REV does not exist in the stash log"
- fi
-
}
is_stash_like()